Subject: Contact
From: Char Email <[email-masked]>
To: Jim Kirchstein <[email-masked]>
Date: Sat, 19 Jan 2013 16:47:13 -0600

Hi.... I will try to call you on Monday night with a update  regarding WWF 13

Meanwhile

Would like you to give/send me some info on Hugo.
and I misplaced the picture of him standing at his bench in his shop.
Do you have a copy of his opit?
I missed that... his birth and death dates, some history etc.

  Goal, to have Victor do a portrait of him for an upcoming newsletter.

Had a great visit via phone with Tracy...will share it with you.

Stay warm and well

Char

OH... is Marjorie still alive?  

Sent from my iPad